%define module	Youri-Package-RPM-Updater
%define name	perl-%{module}
%define version 0.3.3
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Update RPM packages automatically
License:	GPL or Artistic
Group:		Development/Other
Source:		http://youri.zarb.or/download/%{module}-%{version}.tar.gz
Url:		http://youri.zarb.org
Obsoletes:  youri
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(DateTime)
BuildRequires:	perl(RPM4)
BuildRequires:	perl(Test::Exception)
BuildRequires:	perl(SVN::Client)
BuildRequires:	perl(String::ShellQuote)
BuildRequires:	perl(LWP::UserAgent)
BuildRequires:	perl-version
Requires:	    perl-version
BuildArch:	    noarch
BuildRoot:	    %{_tmppath}/%{name}-%{version}

%description
YOURI stands for "Youri Offers an Upload & Repository Infrastucture". It aims
to build tools making management of a coherent set of packages easier.

This module automatises rpm package building. When given an explicit new
version, it downloads new sources automatically, updates the spec file and
builds a new version. When not given a new version, it just updates the spec
file a builds a new release.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%__make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc ChangeLog README
%{perl_vendorlib}/Youri
%{_mandir}/man3/*


%changelog
* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.3-1mdv2008.0
+ Revision: 85914
- new version

* Fri Jul 27 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.2-1mdv2008.0
+ Revision: 56246
- new version

* Thu Jul 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.1-1mdv2008.0
+ Revision: 55811
- new version

* Thu Jul 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.0-1mdv2008.0
+ Revision: 55805
- new version

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.1-1mdv2008.0
+ Revision: 46763
- new version

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.0-1mdv2008.0
+ Revision: 46299
- new version

* Wed Apr 25 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.1-1mdv2008.0
+ Revision: 18364
- new version

* Mon Apr 23 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.0-2mdv2008.0
+ Revision: 17230
- force dependency on perl-version

* Sun Apr 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.0-1mdv2008.0
+ Revision: 17042
- Import perl-Youri-Package-RPM-Updater



* Sun Apr 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.0-1mdv2008.0
- first mdv release 
